{% extends '../base.html'%} {% block main %} {% load static %}
<div class=" mt-lg-5 mt-1 sell-container container position-relative">
  {% include "../components/quick_access.html" %}
  <div>
    <!-- todo -->
    <style>
      .images
      {
        height:100px;

    width: auto;

}

      .sell-container #sell-staps {
        width: 100%;
        background-color: #fff3cd;
        border-radius: 5px;
        color: black;
      }
      .sell-container #sell-staps span {
        cursor: pointer;
        width: 100%;
        text-align: center;
      }
      .sell-container #sell-staps .current {
        background-color: #ffc107;
        color: white;
      }
      .sell-container #sell-staps .passed {
        background-color: #28a745;
        color: white;
      }
      .stat label span {
        font-size: 50px;
      }
      /* HIDE RADIO */
      [type=radio] {
        position: absolute;
        opacity: 0;
        width: 0;
        height: 0;
      }

      /* IMAGE STYLES */
      [type=radio] + span {
        cursor: pointer;
      }

      /* CHECKED STYLES */
      [type=radio]:checked + img {
        outline: 1px solid green;
        border-radius: 5px;
      }


      .sell-section {
        display: none;
      }

      .sell-section.active {
        display: block;
      }
      .btn-disabled {
        background-color: #bdbdbd;
        cursor: not-allowed;
      }
      .input-required {
        border: 1px solid red !important;
      }
    </style>
    <section class="presentation"></section>
    <section class="create-sell border border-1 border-dark rounded px-3 pt-5 mb-2">
      <form method="POST" id="sell-form" enctype="multipart/form-data">
        {% csrf_token %}
        <h2 class="text-center">Faire une demande de reprise de drone</h2>
        <div class="d-flex w-100 justify-content-center align-content-center pb-1 border-bottom">
          <span><a href="{% url 'sell_presentation' %}" target="_blank">Les termes et conditions</a></span>
        </div>
        <section id="sell-staps" class="my-3 border-bottom d-flex flex-column flex-lg-row justify-content-center align-content-center gap-1 gap-lg-0">
          <span class="stap border-bottom border-info-subtle">État</span>
          <span class="stap border-bottom border-info-subtle">Spécifications</span>
          <span class="stap border-bottom border-info-subtle">Images</span>
          <span class="stap border-bottom border-info-subtle">Informations personnelle</span>
        </section>
        <section class="sell-section" id="sell-drone-stat">
          <div class="radio-btns">
            <h5>L'état de votre drone :</h5>
            <div class="d-flex justify-content-evenly align-content-center">
              <div class="stat d-flex gap-2 justify-content-center align-content-center">
                <label class="d-flex flex-column justify-content-center align-items-center"  for="stat-1">
                  <input checked type="radio" value="1" name="drone-stat" id="stat-1">
                  <!-- <span>👍</span> -->
                  <img src="{% static 'images/createsellstat-1.png' %}" alt="IMG" class="images">
                  <div>Occasion</div>
                </label>
              </div>
              <div class="stat d-flex gap-2 justify-content-center align-content-center">
                  <label class="d-flex flex-column justify-content-center align-items-center" for="stat-2">
                    <input type="radio" value="2" name="drone-stat" id="stat-2">
                    <!-- <span>☹️</span> -->
                    <img src="{% static 'images/createsellstat-2.png' %}"alt="IMG" class="images">
                    <div>État satisfaisant</div>
                  </label>
                </div>
              <div class="stat d-flex gap-2 justify-content-center align-content-center">
                <label class="d-flex flex-column justify-content-center align-items-center"  for="stat-3">
                  <input type="radio" value="3" name="drone-stat" id="stat-3">
                  <img src="{% static 'images/createsellstat-3.png' %}"alt="IMG" class="images">
                  <!-- <span>😴</span> -->
                  <div>Hors service</div>
                </label>
              </div>
            </div>
          </div>
        </section>
        <section class="sell-section" id="sell-drone-details">
          <h5>Spécifications :</h5>
          <div class="d-flex flex-column flex-lg-row justify-content-around align-content-center gap-2">
            <div class="d-flex w-100 flex-column justify-content-center align-content-center px-1 py-2 rounded border mt-2">
              <label for="">Marque</label>
              <select class="form-select" name="drone-company" aria-label="Default select example">
                {% for compnay in all_companies %}
                <option value="{{compnay.id}}" {% if forloop.counter == 1 %} selected {% endif %}>{{compnay.name}}</option>
                {% endfor %}
              </select>
            </div>
            <!-- <div class="d-flex w-100 flex-column justify-content-center align-content-center px-1 py-2 rounded border mt-2">
              <label for="">Type</label>
              <select class="form-select" name="drone-type"  aria-label="Default select example">
                <option value="1"selected>Drones de loisir</option>
                <option value="1">Drones professionnels</option>
                <option value="1">Drones FPV</option>
                <option value="1">Autres</option>
              </select>
            </div> -->
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <div class="d-flex justify-content-between align-content-center align-items-center">
              <label for="article-serie">Numéro de série (facultive)&nbsp;:</label>
              <label for="article-name" style="font-size: 10px;">*20 caractères maximum</label>
            </div>
            <input type="text" name="drone-serie" class="text form-control" id="article-serie" label="Numéro de série" placeholder="123456789 ..." maxlength="20"
            oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);">
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="article-name">Nom du drone&nbsp;:</label>
            <input type="text" name="drone-name" class="text form-control" id="article-name" required label="Nom du drone" placeholder="Drone DJI ..." />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="article-accessories">Accessoires du drone (si disponibles) &nbsp;:</label>
            <textarea class="form-control" required name="drone-accessories" id="article-accessories" cols="30" rows="10"></textarea>
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="article-description">Description du drone / dégas&nbsp;:</label>
            <textarea class="form-control" required name="drone-description" id="article-description" cols="30" rows="10"></textarea>
          </div>
        </section>
        <section class="sell-section" id="sell-drone-images">
          <h5>Images :</h5>
          <div class="px-1 py-2 mt-2 rounded border border-dark mt-2 d-flex flex-column justify-content-around">
            <p>Ajouter des <span class="fw-bold">images</span> à votre drone :</p>
            <div class="d-flex justify-content-center align-content-center">
              <label for="image-input" class="fa-solid fa-plus fa-cloud-arrow-up p-2 rounded cursor-pointer" style="font-size: 2rem; border: 2px dotted black"></label>
              <input type="file" name="image-input" required class="text form-control d-none" id="image-input" multiple accept="image/*" value=" " />
            </div>
          </div>
          <div class="image-container d-none" id="image-container"></div>
        </section>
        <section class="sell-section" id="sell-drone-personelle" >
          <h5>Vos informations personnelles :</h5>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="fits_name">Votre prénom&nbsp;:</label>
            <input type="text" name="fits_name" class="form-control" id="first_name" required readonly label="Votre prénom" value="{{ request.user.get_first_name }}"/>
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="last_name">Votre nom&nbsp;:</label>
            <input type="text" name="last_name" class="form-control" id="last_name" required="" readonly="" label="Votre nom" value="{{ request.user.get_last_name }}" />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="email">Votre email&nbsp;:</label>
            <input type="text" name="email" class="form-control" id="email" required="" readonly="" label="Votre email" value="{{ request.user.email }}" />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="phone_number">Votre numéro de téléphone&nbsp;:</label>
            <input type="tel" name="phone_number" class="form-control" id="phone_number" required="" placeholder="0102030405" {%if request.user.phone%} value="{{ request.user.phone }}" {%endif%} label="Votre numéro de téléphone"/>
          </div>
          <p class="fs-3 text-center">Votre adresse</p>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="rue_number">Numéro de rue&nbsp;:</label>
            <input type="number" name="rue_number" class="form-control address-input" id="rue_number" required="" placeholder="5" {%if request.user.address%} value="{{ request.user.address.rue_number }}" {%endif%} label="Votre adresse" />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="rue_name">Nom de rue&nbsp;:</label>
            <input type="address" name="rue_name" class="form-control address-input" id="rue_name" placeholder="Avenu de Anatole" required="" {%if request.user.address%} value="{{ request.user.address.rue_name }}" {%endif%} label="Votre adresse" />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="postal_code">Code postal&nbsp;:</label>
            <input type="number" name="postal_code" class="form-control address-input" id="postal_code" placeholder="75007" required="" {% if request.user.address%} value="{{ request.user.address.postal_code }}" {%endif%} label="Votre adresse" />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="city">Ville&nbsp;:</label>
            <input type="text" name="city" class="form-control address-input" id="city" required="" placeholder="Paris" {%if request.user.address%} value="{{ request.user.address.city }}" {%endif%} label="Votre adresse" />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="country">Pays&nbsp;:</label>
            <input type="text" name="country" class="form-control address-input" id="country" required="" placeholder="France" {%if request.user.address%} value="{{ request.user.address.country }}" {%endif%} label="Votre adresse" />
          </div>
          <div class="px-1 py-2 rounded border border-dark mt-2">
            <label for="address-review">Recapitulatif de l'adresse &nbsp;:</label>
            <input type="text" name="address-review" class="form-control address-input" id="address-review" readonly="" placeholder="5 Avenu de Anatole, 75007 Paris, France" label="Votre adresse" {%if request.user.address%} value="{{ request.user.address.get_address }}" {%endif%} />
          </div>
        </section>
        <section id="actions" class="d-flex justify-content-center align-content-center gap-3 mt-4 mb-1">
          <button type="button" disabled class="d-none btn-disabled action-btn normal-btn btn px-4 py-2 rounded border text-danger"><i class="fa-solid fa-arrow-left"></i></button>
          <button class="action-btn d-none normal-btn px-4 py-2 border shadow rounded bg-success text-white d-flex justify-content-center align-content-center gap-2 align-items-center">
            <i class="fa-solid fa-check"></i>
            <span>
              Faire ma demande
            </span>
          </button>
          <button type="button" class="action-btn normal-btn btn px-4 py-2 rounded border text-success"><i class="fa-solid fa-arrow-right"></i></button>
        </section>
      </form>
    </section>
  </div>
</div>


  <script src="{% static 'assets/js/script.js' %}"></script>
  <script src="{% static 'assets/js/sell_demande.js' %}"></script>

  <script>
    addImagesToContainer();
    handleSetAddress()
    // handleRentConditions();
  </script>
</div>

{% endblock main%}
